Use NEED_PTHREAD_LIB
authorMoritz Angermann <moritz.angermann@gmail.com>
Thu, 11 May 2017 10:17:31 +0000 (18:17 +0800)
committerMoritz Angermann <moritz.angermann@gmail.com>
Thu, 11 May 2017 10:31:45 +0000 (18:31 +0800)
commitc0872bf99ff891e440f118bf9eea20b980c2cfca
treee2e3cb1566eb2ae3fb0a3e012b070ea35548afe2
parent1345c7cc42c45e63ab1726a8fd24a7e4d4222467
Use NEED_PTHREAD_LIB

we do the same for the rts already. And using the configure script should
be more robust than hand-picking the OSs here.

Reviewers: austin, bgamari

Reviewed By: bgamari

Subscribers: rwbarton, thomie

Differential Revision: https://phabricator.haskell.org/D3563
compiler/main/DriverPipeline.hs